package edu.stanford.db.rdf.model.inv;

import org.w3c.rdf.model.*;

public interface Inverter {

  /**
   * inverts a resource: already inverted becomes not inverted
   */
  Resource invert(Resource r);

  boolean isInverted(Resource r);

  Resource getNonInverted(Resource r);

  Model enableInverted(Model m);

  boolean isEnabledInverted(Model m);

  Model disableInverted(Model m);

  //  Model findInverted(Model m, Resource s, Resource p, RDFNode o) throws ModelException;

  //  void addInverted(Model m, Statement st) throws ModelException;
}
