echo "IMPORTING DATA POINTS"
./invoke_client.sh asciiImport data_points ${KEPLER}/lib/testdata/grass/usa-median-homeval.txt 2 space
echo "IMPORTING ARC FILE"
./invoke_client.sh arcImport ${KEPLER}/lib/testdata/grass/median_house_val.asc input_raster
echo "CREATING HULL"
./invoke_client.sh createHull data_points hull_vect
echo "RUNNING VECTOR SUPPORT"
./invoke_client.sh createVectorSupport hull_vect
echo "CONVERTING VECTOR TO RASTER"
./invoke_client.sh convertVectorToRaster hull_vect hull_rast
echo "CALCULATING MAP"
./invoke_client.sh calculateMap input_raster hull_rast
echo "EXPORTING ARC RESULTS"
./invoke_client.sh arcExport hull_rast
