<?xml version="1.0"?>

<xsl:stylesheet

  version="1.0"

  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="xml" encoding="UTF-8"/>

  <xsl:template match="/">

    <record>

        <spatial>

            <lat><xsl:value-of select="FIELDS/@LAT"/></lat> 

            <lon><xsl:value-of select="FIELDS/@LON"/></lon> 

        </spatial>

        <attributes>

              <depth><xsl:value-of select="FIELDS/@DEPTH"/></depth> 

              <magnitude><xsl:value-of select="FIELDS/@MS"/></magnitude>

              <strike><xsl:value-of select="FIELDS/@STRIKE"/></strike>

              <dip><xsl:value-of select="FIELDS/@DIP"/></dip>

              <rake><xsl:value-of select="FIELDS/@RAKE"/></rake>

              <date><xsl:value-of select="FIELDS/@DATE_"/></date>

              <hour><xsl:value-of select="FIELDS/@HOUR"/></hour>

              <min><xsl:value-of select="FIELDS/@MIN"/></min>

              <sec><xsl:value-of select="FIELDS/@SEC"/></sec>

        </attributes>

    </record>

  </xsl:template>

</xsl:stylesheet>

